Subject: Re: bug#8297: Request: Better Emacs self-documentation for customization

From: Lennart Borgman <[email-masked]>
Date: Tue, 22 Mar 2011 07:59:10 +0100

On Mon, Mar 21, 2011 at 11:00 PM, Stefan Monnier
<[email-masked]> wrote:
>
>>  - `describe-key' only provides a link to the function, not to the place the
>> key was defined.
>
> That's also more difficult because OT1H `define-key' does not get much
> information (it can check load-file-name, but it doesn't know the line
> number, nor the name of the map it receives and neither does it know
> reliably what the key description looks like in the source file, so it's
> hard to do a regexp-search), and OTOH there's no place currently to
> store that information, tho I guess we could keep it in some side
> hash-table.

That would be good.

I have a hack that at least try to guess the map where a key is
defined. This is the function `describe-key-and-map-briefly' in
ourcomments-util.el in nXhtml. (It is a replacement for
`describe-key-briefly'.)